org.deidentifier.arx.metric.v2

## Class ILMultiDimensionalWithBound

- java.lang.Object
- - org.deidentifier.arx.metric.InformationLossWithBound<AbstractILMultiDimensional>
  - - org.deidentifier.arx.metric.v2.ILMultiDimensionalWithBound

    public class ILMultiDimensionalWithBound
    extends InformationLossWithBound<AbstractILMultiDimensional>

Information loss with a potential lower bound.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`ILMultiDimensionalWithBound(AbstractILMultiDimensional informationLoss)` Creates a new instance without a lower bound.
`ILMultiDimensionalWithBound(AbstractILMultiDimensional informationLoss, AbstractILMultiDimensional lowerBound)` Creates a new instance.

### Method Summary

### Methods inherited from class org.deidentifier.arx.metric.InformationLossWithBound

`getInformationLoss, getLowerBound, hasLowerBound`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ILMultiDimensionalWithBound

    public ILMultiDimensionalWithBound(AbstractILMultiDimensional informationLoss)

Creates a new instance without a lower bound.

Parameters:
  `informationLoss` -

#### ILMultiDimensionalWithBound

    public ILMultiDimensionalWithBound(AbstractILMultiDimensional informationLoss,
                                       AbstractILMultiDimensional lowerBound)

Creates a new instance.

Parameters:
  `informationLoss` -
  `lowerBound` -